Page MenuHomeFreeBSD

net-mgmt/netdata: Enable CLOUD option by default
ClosedPublic

Authored by woodsb02 on Nov 21 2022, 2:19 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 25 2023, 3:52 AM
Unknown Object (File)
Dec 25 2023, 3:51 AM
Unknown Object (File)
Dec 25 2023, 3:51 AM
Unknown Object (File)
Dec 25 2023, 3:39 AM
Unknown Object (File)
Dec 23 2023, 11:54 AM
Unknown Object (File)
Dec 23 2023, 3:37 AM
Unknown Object (File)
Dec 15 2023, 2:45 PM
Unknown Object (File)
Oct 9 2023, 10:36 AM
Subscribers

Details

Summary

net-mgmt/netdata: Enable CLOUD option by default

Test Plan

poudriere testport works ok on 13.1amd64
I am also running the port with this enable, and can integrate a node
into the cloud platform https://app.netdata.cloud/ by running the
netdata-claim.sh script that is installed with the CLOUD option enabled.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This should be a flavor rather than default?

This should be a flavor rather than default?

I’m not sure why - just because the cloud option is enabled at compile time doesn’t mean that it automatically integrates with the cloud when it’s first run. This is still a manual step using the netdata-claim.sh script. It also doesn’t add a large suite of dependencies. So why not just have it compiled it by default?

ping @nc - any thoughts on this proposed change to the default options of the net-mgmt/netdata port?

This revision was not accepted when it landed; it landed in state Needs Review.Dec 27 2022, 1:04 AM
This revision was automatically updated to reflect the committed changes.